Bug 119392 - [patch] update graphics/gdal to 1.5.0
Summary: [patch] update graphics/gdal to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-06 19:20 UTC by jflemer
Modified: 2008-02-17 06:01 UTC (History)
0 users

See Also:


Attachments
file.diff (8.40 KB, patch)
2008-01-06 19:20 UTC, jflemer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jflemer 2008-01-06 19:20:02 UTC
Non-maintainer port update from GDAL v1.4.4 to v1.5.0 (latest release as of 6-Jan-08).

Fix: Apply attached patch from ${PORTSDIR}/graphics/gdal.
NOTE: This includes two new files in ${PORTSDIR}/graphics/gdal/files.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-01-06 19:20:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Rong-En Fan freebsd_committer 2008-02-10 07:28:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 3 dfilter service freebsd_committer 2008-02-17 05:59:58 UTC
rafan       2008-02-17 05:59:54 UTC

  FreeBSD ports repository

  Modified files:
    graphics/gdal        Makefile distinfo pkg-plist 
  Added files:
    graphics/gdal/files  patch-ogr-GNUmakefile 
                         patch-ogr-ogrsf_frmts-kml-ogr2kmlgeometry.cpp 
                         patch-swig-python-GNUmakefile 
  Log:
  - Update to 1.5.0
  
  As this port builds Python bindings with its own magic, USE_PYDISTUTILS
  does not work in this case. Hence I duplicate some logics from bsd.python.mk.
  
  PR:             119392
  Submitted by:   James E. Flemer <jflemer at alum.rpi.edu>
  Approved by:    maintainer timeout (6 weeks)
  
  Revision  Changes    Path
  1.25      +43 -6     ports/graphics/gdal/Makefile
  1.10      +3 -3      ports/graphics/gdal/distinfo
  1.1       +11 -0     ports/graphics/gdal/files/patch-ogr-GNUmakefile (new)
  1.1       +11 -0     ports/graphics/gdal/files/patch-ogr-ogrsf_frmts-kml-ogr2kmlgeometry.cpp (new)
  1.1       +20 -0     ports/graphics/gdal/files/patch-swig-python-GNUmakefile (new)
  1.9       +77 -10    ports/graphics/gdal/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Rong-En Fan freebsd_committer 2008-02-17 06:00:58 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!